Subject: Re: linux-next: manual merge of the char-misc tree with the lightnvm tree

From: Paul Gortmaker <[email-masked]>
Date: Tue, 22 Nov 2016 10:45:38 -0500

[linux-next: manual merge of the char-misc tree with the lightnvm tree] On 22/11/2016 (Tue 18:29) Stephen Rothwell wrote:

> Hi all,
> 
> Today's linux-next merge of the char-misc tree got a conflict in:
> 
>   drivers/lightnvm/core.c
> 
> between commit:
> 
>   7b0d392f6957 ("lightnvm: remove sysfs configuration interface")
> 
> from the lightnvm tree and commit:
> 
>   389b2a1c0e90 ("lightnvm: make core.c explicitly non-modular")
> 
> from the char-misc tree.
> 
> I fixed it up (the former removed the code that was commented by the
> latter, so I just removed it) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your
> tree is submitted for merging.  You may also want to consider
> cooperating with the maintainer of the conflicting tree to minimise any
> particularly complex conflicts.
> 
> I do wonder why commit 389b2a1c0e90 is in the char-misc tree and not
> the lightnvm or block trees?

It relied on the new macro builtin_misc_device which came in via
char-misc.  I was going to wait a release but Greg said he'd be willing
to take the patch in his tree concurrently.

P.
--

> -- 
> Cheers,
> Stephen Rothwell